<script setup>
const partners = usePartners()
const sales = useSales()
const procurements = useProcurements()
const materials = useMaterials()
// const manufacturings = useManufacturings()
const assets = useAssets()
const projects = useProjects()
// const analysis = useAnalysis()
// const integrations = useIntegrations()
const users = useUsers()
const requests = useRequests()
//const reports = useReports()
const settings = useSettings()

const menus = ref([
  {
    menu: true,
    text: 'Administrator', 
    value: 'dashboard',
    link: '/', 
    icon: 'menu-icon tf-icons ti ti-layout-dashboard',
    active: false,
    child: false,
    children: []
  },
  ...partners.value,
  ...sales.value,
  ...procurements.value,
  ...materials.value,
  // ...manufacturings.value,
  ...assets.value,
  ...projects.value,
  // ...analysis.value,
  // ...integrations.value,
  {
    menu: true,
    text: 'Integrations',
    value: 'integrations',
    link: '/integrations',
    icon: 'menu-icon tf-icons ti ti-plug',
    active: false,
    child: false,
    children: []
  },
  ...users.value,
  ...requests.value,
  //...reports.value,
  ...settings.value

])
</script>

<template>
  <BaseSideBar :menus="menus" />
</template>